javax.persistence.spi

## Interface ClassTransformer

    public interface ClassTransformer

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `transform(ClassLoader loader, String className, Class<?> classBeingRedefined, ProtectionDomain protectionDomain, byte[] classfileBuffer)`

### Method Detail

#### transform

    byte[] transform(ClassLoader loader,
                     String className,
                     Class<?> classBeingRedefined,
                     ProtectionDomain protectionDomain,
                     byte[] classfileBuffer)
              throws IllegalClassFormatException

Throws:
  `IllegalClassFormatException`